#!/bin/bash
# File Name: phonebookantix.sh
# Purpose: simple phonebook app
# Authors: eriefisher and OU812
# Latest Change: 11 January 2009
# Latest Change: 09 March 2012 to use yad, gettext by anticapitalista
#################################################################################################################################################

TEXTDOMAINDIR=/usr/share/locale
TEXTDOMAIN=phonebookantix.sh

touch .zen-phonebook.txt  ## This will look for your phonebook file in your /home directory
                          ## and create it if it doesn't exist. All entries will be saved here.

export Phonebook=$(cat <<End_of_Text 

<window title="`gettext $"Phonebook"`" icon="gnome-control-center" window-position="1">
<vbox>
  
  <vbox>
  <frame>
	<hbox>
	  <vbox>
		<hbox>
		  <button>
		  <input file>"/usr/share/icons/gTangish-2.0a1/32x32/actions/edit-select-all.png"</input>
		  <action>phonebookcat.sh &</action>
		  </button>
		  <text use-markup="true" width-chars="20">
		  <label>"`gettext $"Show All Contacts"`"</label>
		  </text>
		</hbox>
		<hbox>
		  <button>
		  <input file>"/usr/share/icons/gTangish-2.0a1/32x32/actions/document-new.png"</input>
		  <action>phonebookadd.sh &</action>
		  </button>
		  <text use-markup="true" width-chars="20">
		  <label>"`gettext $"Add a New Contact"`"</label>
		  </text>
		</hbox>
	  </vbox>
	  
	  <vbox>
		<hbox>
		  <button>
		  <input file>"/usr/share/icons/gTangish-2.0a1/32x32/actions/edit-find.png"</input>
		  <action>phonebooksearch.sh &</action>
		  </button>
		  <text use-markup="true" width-chars="20">
		  <label>"`gettext $"Search for a Contact"`"</label>
		  </text>
		</hbox>
		<hbox>
		  <button>
		  <input file>"/usr/share/icons/gTangish-2.0a1/32x32/actions/edit-delete.png"</input>
		  <action>phonebookremove.sh &</action>
		  </button>
		  <text use-markup="true" width-chars="20">
		  <label>"`gettext $"Remove a Contact"`"</label>
		  </text>
		</hbox>
	  </vbox>
	</hbox>
    </frame>
  </vbox>
	
  <hbox>
	<button>
	<label>"`gettext $"Close"`"</label>
	  <input file>"/usr/share/icons/gTangish-2.0a1/16x16/actions/dialog-cancel.png"</input>
	<action>EXIT:close</action>
	</button>
  </hbox>
</vbox>
</window>
End_of_Text
)

gtkdialog --program=Phonebook
unset Phonebook
