#!/bin/bash
# File Name: phonebookcat.sh
# Purpose: simple phonebook app
# Authors: eriefisher and OU812
# Latest Change: 02 January 2009
# Latest Change: 09 March 2012 to use yad, gettext by anticapitalista
#################################################################################################################################################

function list {
	CHOSEN=$(yad --list --width 300 --height 180 \
	--column="id" \
    --column="contact" \
    --column="Phone #" \
    `cat ~/.zen-phonebook.txt |cut -d "|" -f1,2,3 |sed "s/|/\ /ig"` \
    --title=$"Searched Contacts" \
    --text=$"Select contact and choose ok to view details" \
    --button="gtk-ok:0" \
    --button="gtk-close:1" \
    )
}

function details {
DETAILS=$(yad --form \
--field="id: `cat ~/.zen-phonebook.txt |grep "$CHOSEN"|cut -d "|" -f1`:LBL" \
--field="contact: `cat ~/.zen-phonebook.txt |grep "$CHOSEN"|cut -d "|" -f2`:LBL" \
--field="Phone #: `cat ~/.zen-phonebook.txt |grep "$CHOSEN"|cut -d "|" -f3`:LBL" \
--field="Address: `cat ~/.zen-phonebook.txt |grep "$CHOSEN"|cut -d "|" -f4`:LBL" \
--field="City: `cat ~/.zen-phonebook.txt |grep "$CHOSEN"|cut -d "|" -f5`:LBL" \
--field="Note: `cat ~/.zen-phonebook.txt |grep "$CHOSEN"|cut -d "|" -f6`:LBL" \
    --button="gtk-go-back:0" \
    --button="gtk-close:1" \
    )
}

function checkcancel {
	CANOK="$?";
    if [ "$CANOK" = "1" ]; then
    exit;
    fi
}

while :
do
list;
checkcancel;
details;
checkcancel;
done
